List log label values

List all values for a given log label in the logs matching the provided filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID of the workspace to return log label values for

string
enum
required

The label to query logs for

Allowed:
date-time

Epoch/Unix timestamp of start of time range to return. Defaults to now() - 1 hour.

date-time

Epoch/Unix timestamp of end of time range to return. Defaults to now().

string
enum
Defaults to backward

The direction to query logs for. Backward will return most recent logs first. Forward will start with the oldest logs in the time range.

Allowed:
resource
array of strings
required

Filter logs by their resource. A resource is the id of a server, cronjob, job, postgres, redis, or workflow.

resource*
instance
array of strings

Filter logs by the instance they were emitted from. An instance is the id of a specific running server.

instance
host
array of strings

Filter request logs by their host. Wildcards and regex are supported.

host
statusCode
array of strings

Filter request logs by their status code. Wildcards and regex are supported.

statusCode
method
array of strings

Filter request logs by their requests method. Wildcards and regex are supported.

method
task
array of strings

Filter logs by their task(s)

task
taskRun
array of strings

Filter logs by their task run id(s)

taskRun
level
array of strings

Filter logs by their severity level. Wildcards and regex are supported.

level
type
array of strings

Filter logs by their type. Types include app for application logs, request for request logs, and build for build logs. You can find the full set of types available for a query by using the GET /logs/values endpoint.

type
text
array of strings

Filter by the text of the logs. Wildcards and regex are supported.

text
path
array of strings

Filter request logs by their path. Wildcards and regex are supported.

path
integer
1 to 100
Defaults to 20

The maximum number of items to return. For details, see Pagination.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json